#version 3.7;
#include "colors.inc"
#include "functions.inc"
#include "metals.inc"
#include "glass.inc"
#include "iw_textures.inc"


sky_sphere {
  pigment {
    gradient y
      color_map {
        [ 0.5  color CornflowerBlue ]
        [ 1.0  color MidnightBlue ]
        }
    scale 2
    translate -1
    }
  emission rgb <0.8,0.8,1>
  }
#include "sunpos.inc"
light_source{
  SunPos(2019,03,12,12,0,15,49+(51/60)+(25/3600),8+(39/60)+(10/3600))
  White
}
camera {
   location <0,0,-250>
   up y
   right image_width/image_height*x
   look_at <0,0,0>
}



global_settings {
  assumed_gamma 1.0
  max_trace_level 10
}

// white wall
box { <-100,-100,50>,<100,100,55> pigment { color White } }

#declare CrownGlassColour = pigment { color rgbf <0.4, 0.72, 0.4, 0.6> } // WineBottleGlass
#declare F_Glass=finish {
   ambient 0
   diffuse 0
   specular 0.8
   roughness 0.0003
   phong 1 
   phong_size 400
   reflection {
       0.01, 1
       fresnel on
   }
   conserve_energy
}
#declare I_CrownGlass=interior{
   ior 1.51
   fade_distance 10
   fade_power 2
}

#declare T_GrayCoat = texture { pigment { color Gray05  } finish { diffuse 0.5 phong 0.2 } }
// modified rust
#declare T_Rust =
texture { 
    pigment {
        granite
        color_map {
            [0 Gray05]
            [0.4 rgb <0.70, 0.13, 0.00>]
            [0.5 Gray15]
            [1 Gray05 ]
       }
    }
    finish { diffuse 0.4 }
}
#declare Z1=seed(735);
#declare T_RustyGrayCoat = texture { bozo texture_map { [0 T_GrayCoat ] [ 0.8 T_GrayCoat ] [1 T_Rust ] } scale rand(Z1)*10}
#declare CrownGlass_RingTexture = texture{ T_RustyGrayCoat }
#declare T_CrownGlassWindow_Wood= texture { T_Wood18 }


#include "CrownGlassWindow.inc"

object { CrownGlass_Window(100,50,8,5,2) }

object { CrownGlass_Window(40,25,8,5,1) translate <-55,0,0> }
object { CrownGlass_Window(40,25,8,5,2) translate <-25,0,0> rotate y*45 translate <-5,0,0> }


object { CrownGlass_Window(22,100,12,5,2) translate <-55,-30,0> }



object { CrownGlass_Window(55,50,15,5,1) translate <-55,45,0> }

object { CrownGlass_Window_RoundTop(100,50,8,5,2) translate <53,0,0> }
